org.apache.struts2.sitegraph.model

## Class SubGraph

- java.lang.Object
- - org.apache.struts2.sitegraph.model.SubGraph

- All Implemented Interfaces:
    Render
  Direct Known Subclasses:
    Graph

      public class SubGraph
      extends Object
      implements Render

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`
    `protected List<SiteGraphNode>` | `nodes`
    `protected SubGraph` | `parent`
    `protected List<SubGraph>` | `subGraphs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubGraph(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNode(SiteGraphNode node)`
    `void` | `addSubGraph(SubGraph subGraph)`
    `SubGraph` | `create(String namespace)`
    `String` | `getName()`
    `String` | `getPrefix()`
    `void` | `render(IndentWriter writer)`
    `void` | `setParent(SubGraph parent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### parent

          protected SubGraph parent

    - #### subGraphs

          protected List<SubGraph> subGraphs

    - #### nodes

          protected List<SiteGraphNode> nodes

  - ### Constructor Detail

    - #### SubGraph

          public SubGraph(String name)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### addSubGraph

          public void addSubGraph(SubGraph subGraph)

    - #### setParent

          public void setParent(SubGraph parent)

    - #### addNode

          public void addNode(SiteGraphNode node)

    - #### render

          public void render(IndentWriter writer)
                      throws IOException

      Specified by:
        `render` in interface `Render`
      Throws:
        `IOException`

    - #### getPrefix

          public String getPrefix()

    - #### create

          public SubGraph create(String namespace)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.